## org.apache.aries.subsystem.core.internal
Class Subsystems

    java.lang.Object
      org.apache.aries.subsystem.core.internal.Subsystems

    public class Subsystems

extends Object

Constructor Summary
`Subsystems()`

Method Summary
`void` `addChild(BasicSubsystem parent, BasicSubsystem child, boolean referenceCount)`
`void` `addConstituent(BasicSubsystem subsystem, org.osgi.resource.Resource constituent, boolean referenced)`
`void` `addReference(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`void` `addSubsystem(BasicSubsystem subsystem)`
`Collection<org.osgi.service.subsystem.Subsystem>` `getChildren(BasicSubsystem parent)`
`Collection<org.osgi.resource.Resource>` `getConstituents(BasicSubsystem subsystem)`
`Collection<org.osgi.service.subsystem.Subsystem>` `getParents(BasicSubsystem child)`
`Collection<org.osgi.resource.Resource>` `getResourcesReferencedBy(BasicSubsystem subsystem)`
`BasicSubsystem` `getRootSubsystem()`
`BasicSubsystem` `getSubsystemById(long id)`
`BasicSubsystem` `getSubsystemByLocation(String location)`
`Collection<BasicSubsystem>` `getSubsystems()`
`Object[]` `getSubsystemsByBundle(org.osgi.framework.Bundle bundle)`
`Collection<BasicSubsystem>` `getSubsystemsByConstituent(org.osgi.resource.Resource constituent)`
`Collection<BasicSubsystem>` `getSubsystemsReferencing(org.osgi.resource.Resource resource)`
`void` `removeChild(BasicSubsystem child)`
`void` `removeChild(BasicSubsystem parent, BasicSubsystem child)`
`void` `removeConstituent(BasicSubsystem subsystem, org.osgi.resource.Resource constituent)`
`void` `removeReference(BasicSubsystem subsystem, org.osgi.resource.Resource resource)`
`void` `removeSubsystem(BasicSubsystem subsystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subsystems

    public Subsystems()

Method Detail

### addChild

    public void addChild(BasicSubsystem parent,
                         BasicSubsystem child,
                         boolean referenceCount)

### addConstituent

    public void addConstituent(BasicSubsystem subsystem,
                               org.osgi.resource.Resource constituent,
                               boolean referenced)

### addReference

    public void addReference(BasicSubsystem subsystem,
                             org.osgi.resource.Resource resource)

### addSubsystem

    public void addSubsystem(BasicSubsystem subsystem)

### getChildren

    public Collection<org.osgi.service.subsystem.Subsystem> getChildren(BasicSubsystem parent)

### getConstituents

    public Collection<org.osgi.resource.Resource> getConstituents(BasicSubsystem subsystem)

### getParents

    public Collection<org.osgi.service.subsystem.Subsystem> getParents(BasicSubsystem child)

### getResourcesReferencedBy

    public Collection<org.osgi.resource.Resource> getResourcesReferencedBy(BasicSubsystem subsystem)

### getRootSubsystem

    public BasicSubsystem getRootSubsystem()

### getSubsystemById

    public BasicSubsystem getSubsystemById(long id)

### getSubsystemByLocation

    public BasicSubsystem getSubsystemByLocation(String location)

### getSubsystems

    public Collection<BasicSubsystem> getSubsystems()

### getSubsystemsByBundle

    public Object[] getSubsystemsByBundle(org.osgi.framework.Bundle bundle)

### getSubsystemsByConstituent

    public Collection<BasicSubsystem> getSubsystemsByConstituent(org.osgi.resource.Resource constituent)

### getSubsystemsReferencing

    public Collection<BasicSubsystem> getSubsystemsReferencing(org.osgi.resource.Resource resource)

### removeChild

    public void removeChild(BasicSubsystem child)

### removeChild

    public void removeChild(BasicSubsystem parent,
                            BasicSubsystem child)

### removeConstituent

    public void removeConstituent(BasicSubsystem subsystem,
                                  org.osgi.resource.Resource constituent)

### removeReference

    public void removeReference(BasicSubsystem subsystem,
                                org.osgi.resource.Resource resource)

### removeSubsystem

    public void removeSubsystem(BasicSubsystem subsystem)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.